--- check_log.sh.org	2007-07-07 13:40:29.000000000 +0200
+++ check_log.sh		2007-10-22 17:09:36.000000000 +0200
@@ -48,11 +48,11 @@
 #
 # Check for login failures in the syslog...
 #
-#   check_log /var/log/messages ./check_log.badlogins.old "LOGIN FAILURE"
+#   check_log -F /var/log/messages -O ./check_log.badlogins.old -q "LOGIN FAILURE"
 #
 # Check for port scan alerts generated by Psionic's PortSentry software...
 #
-#   check_log /var/log/message ./check_log.portscan.old "attackalert"
+#   check_log -F /var/log/message -O ./check_log.portscan.old -q "attackalert"
 #
 
 # Paths to commands used in this script.  These
@@ -174,14 +174,19 @@
     exit $STATE_UNKNOWN
 fi
 
-# If the old log file doesn't exist, this must be the first time
-# we're running this test, so copy the original log file over to
-# the old diff file and exit
-
+# If the old log file does not exist, it must be
+# the first run, so create an empty oldlog and continue 
 if [ ! -e $oldlog ]; then
-    $CAT $logfile > $oldlog
-    $ECHO "Log check data initialized...\n"
-    exit $STATE_OK
+	if ! $TOUCH $oldlog; then
+		$ECHO "Log check error: Old log file $oldlog could not be created!\n"
+    	exit $STATE_UNKNOWN
+	fi
+fi
+
+# Check permissions, or exit unknown
+if [ ! -w $oldlog ]; then
+    $ECHO "Log check error: Old log file $oldlog is not writeable!\n"
+    exit $STATE_UNKNOWN
 fi
 
 # The old log file exists, so compare it to the original log now
